org.apache.ignite.internal.visor.query

## Class VisorQueryResultEx

- java.lang.Object
- - org.apache.ignite.internal.visor.query.VisorQueryResult
  - - org.apache.ignite.internal.visor.query.VisorQueryResultEx

All Implemented Interfaces:
  Serializable

    public class VisorQueryResultEx
    extends VisorQueryResult

Result for cache query tasks.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorQueryResultEx(UUID resNodeId, String qryId, VisorQueryField[] colNames, List<Object[]> rows, Boolean hasMore, long duration)`

### Method Summary

Methods
`VisorQueryField[]` `columnNames()`
`String` `queryId()`
`UUID` `responseNodeId()`
`String` `toString()`

### Methods inherited from class org.apache.ignite.internal.visor.query.VisorQueryResult

`duration, hasMore, rows`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorQueryResultEx

    public VisorQueryResultEx(UUID resNodeId,
                      String qryId,
                      VisorQueryField[] colNames,
                      List<Object[]> rows,
                      Boolean hasMore,
                      long duration)

Parameters:
  `resNodeId` - Node where query executed.
  `qryId` - Query ID for future extraction in nextPage() access.
  `colNames` - Columns types and names.
  `rows` - Rows fetched from query.
  `hasMore` - Whether query has more rows to fetch.
  `duration` - Query duration.

### Method Detail

#### responseNodeId

    public UUID responseNodeId()

Returns:
  Response node id.

#### queryId

    public String queryId()

Returns:
  Query id.

#### columnNames

    public VisorQueryField[] columnNames()

Returns:
  Columns names.

#### toString

    public String toString()

Overrides:
  `toString` in class `VisorQueryResult`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015